summaryrefslogtreecommitdiff
path: root/taler-build/update_gnunet.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_gnunet.sh')
-rwxr-xr-xtaler-build/update_gnunet.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/taler-build/update_gnunet.sh b/taler-build/update_gnunet.sh
index 04ebb57..1f9bedf 100755
--- a/taler-build/update_gnunet.sh
+++ b/taler-build/update_gnunet.sh
@@ -5,10 +5,10 @@ set -eu
cd $HOME/gnunet/
git clean -fdx
-# like "git pull", but robust against force pushes
-# and local changes
git fetch
-git reset --hard FETCH_HEAD
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+git reset --hard "$branch"
./bootstrap
./configure --prefix=$HOME/local --enable-logging=verbose --with-libgnurl=$HOME/local --with-microhttpd=$HOME/local